Soporte y Mantenimiento FUAM 2026-2027 - Tareas #4910
Hito # 4849 (Nueva): Horas del nuevo contrato 2026-2027

Funcionalidades adicionales — Vista Estudiante
02/16/2026 12:57 PM - Daniel Garcia

Status: Resuelta Start date: 02/16/2026
Priority: Normal Due date:

Assignee: Daniel Garcia % Done: 100%
Category: Estimated time: 6.00 hours
Target version: Spent time: 6.00 hours
Description

Requisitos funcionales:

- Afadir buscador de cursos por nombre.

- Eliminar duplicidad entre Centro y Facultad (mantener uno).

- Si se elige pago con tarjeta, abrir la pasarela en nueva pestafa/ventana. (Estudiar)
- Afnadir boton “Cambio de contrasefia” en datos de acceso de estudiante registrado.
- Afnadir boton “Pulse aqui si quiere factura proforma” con descarga directa.

History

#1 - 02/17/2026 12:04 PM - Jose Miguel Rosell Rosa
- File 2026-02-17_13-02.png added

Se crea una columna con un botén queen caso de haber pagado la matricula se habilita y permite descargarse por otro método distinto al email la
factura.

#2 - 02/17/2026 12:40 PM - Jose Miguel Rosell Rosa
- Status changed from Nueva to Resuelta

- % Done changed from 0 to 100

En cuanto a la funcionalidad de abrir la pasarela de pago en otra ventana se dan un par de problemas:

-La plataforma de redsys no esté disefiada para funcionar como se pide (abriéndola en una ventana nueva).
-Se puede hacer pero conllevaria riesgos para la ciberseguridad.

-dificultaria la mantenibilidad del programa en gran medida.

#3 - 02/24/2026 07:51 AM - Daniel Garcia

- Project changed from Gestion de Matriculas 2024-2025 to Soporte y Mantenimiento FUAM 2026-2027
- Category deleted (Plataforma académica)

- Target version deleted (1.0.74)

- Parent task changed from #4896 to #4849
